## libcgns 2.5.5

=== debian/changelog ===
libcgns (2.5.5-2) unstable; urgency=low

  * Fix the format-security issue (Closes: #643418)
  * Standards-Version updated to version 3.9.2

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 19 Nov 2011 15:11:17 +0100

libcgns (2.5.5-1) unstable; urgency=low

  * New upstream release
  * Standards-Version updated to version 3.9.1
  * Switch to dpkg-source 3.0 (quilt) format

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 19 Feb 2011 13:21:25 +0100

libcgns (2.5.4-3) unstable; urgency=low

  * Rebuild against libhdf5 1.8.4

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 24 Jan 2010 14:32:09 +0100

libcgns (2.5.4-2) unstable; urgency=low

  * Under HPPA, disable the 64 bits compilation options (Closes: #557984)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 09 Jan 2010 13:30:08 +0100

libcgns (2.5.4-1) unstable; urgency=low

  * New upstream release
  * Change of my email address since I am now DD
  * Removal of Torsten on his request
  * Standards-Version updated to 3.8.3
  * DM-Upload-Allowed removed
  * Wrong profile in ADFH.c on function H5Acreate (wrongProfile.diff)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 12 Sep 2009 18:34:22 +0200

libcgns (2.5.3-3) unstable; urgency=low

  * Fix a typo (Convertion => Conversion) (Closes: #534151)
  * Standards-Version updated to 3.8.2

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Mon, 22 Jun 2009 16:45:49 +0200

libcgns (2.5.3-2) unstable; urgency=low

  [ Oliver Borm ]
  * Install more needed header files.
  * Package the adf2hdf and hdf2adf converters into cgns-convert
  * Link the libcgns against libhdf5

  [ Sylvestre Ledru ]
  * Merge the different changes of Oliver Borm (Closes: #529971)
  * Standards-Version updated to 3.8.1 
  * Strip adf2hdf and hdf2adf binaries
  * ${misc:Depends} added to make lintian happy

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Tue, 09 Jun 2009 16:10:47 +0200

libcgns (2.5.3-1) unstable; urgency=low

  * Initial release (Closes: #501924)

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Wed, 08 Oct 2008 22:38:20 +0200
