=== debian/rules ===
#!/usr/bin/make -f
# Copyright 2008 Sylvestre Ledru <sylvestre.ledru@inria.fr>

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_CONFIGURE_NORMAL_ARGS += --enable-shared=all --with-hdf5=/usr \
	--with-szip --enable-lfs --enable-debug

ifeq ($(DEB_BUILD_ARCH),hppa)
  DEB_CONFIGURE_NORMAL_ARGS += --disable-64bit
else 
  DEB_CONFIGURE_NORMAL_ARGS += --enable-64bit
endif



install/libcgns-dev::
	for file in $(DEB_DESTDIR)/usr/lib/* ; do \
		chrpath -d $$file; \
	done

get-orig-source:
	uscan --force-download --rename
