## libcgns 3.1.3.2

=== debian/changelog ===
libcgns (3.1.3.2-1) experimental; urgency=low

  * New upstream release
  * Rename libcgns2 => libcgns3.1
  * Standards-Version updated to 3.9.2
  * Switch to dpkg-source 3.0 (quilt) format

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 13 Apr 2011 00:37:02 +0200
