=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
-Build-Depends: debhelper (>= 7), autotools-dev, cdbs, quilt,
- libhdf5-serial-dev, chrpath
+Build-Depends: debhelper (>= 7), autotools-dev, cdbs, quilt, 
+ libhdf5-dev (>= 1.8.7), chrpath, mpi-default-dev, cmake
 Standards-Version: 3.9.2
 Homepage: http://cgns.sourceforge.net/
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/libcgns/
@@ -13,7 +13,7 @@
 Package: libcgns-dev
 Section: libdevel
 Architecture: any
-Depends:  ${shlibs:Depends}, libcgns2 (= ${binary:Version}), ${misc:Depends}
+Depends:  ${shlibs:Depends}, libcgns3.1 (= ${binary:Version}), ${misc:Depends}
 Description: CFD General Notation System library
  The CFD General Notation System (CGNS) provides a general, portable, and
  extensible standard for the storage and retrieval of computational fluid
@@ -26,7 +26,7 @@
  This package contains the development files needed to compile software to
  use the libcgns API.
 
-Package: libcgns2
+Package: libcgns3.1
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: CFD General Notation System library
@@ -38,11 +38,11 @@
  steering committee. It is also an American Institute of Aeronautics and
  Astronautics (AIAA) Recommended Practice.
 
-Package: libcgns2-dbg
+Package: libcgns3.1-dbg
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libcgns2 (= ${binary:Version}), ${misc:Depends}
+Depends: libcgns3.1 (= ${binary:Version}), ${misc:Depends}
 Description: CFD General Notation System library
  The CFD General Notation System (CGNS) provides a general, portable, and
  extensible standard for the storage and retrieval of computational fluid
